## mercurial-server 1.1

=== debian/changelog ===
mercurial-server (1.1-1) unstable; urgency=low

  * New upstream version
  * Fix "leaves unowned files on purge": Delete user/group only
    when purging data (Closes: #605584)
  * Fix "installation fails with aptitude": run update-python-modules
    to ensure hg will work before using it (Closes: #604213)
  * Add translation for pt_BR  (Closes: #607407)

 -- Paul Crowley <paul@lshift.net>  Sat, 18 Dec 2010 15:46:45 +0000

mercurial-server (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitly use 1.0 source format
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Francisco Javier Cuadrado).  Closes: #561921
    - Portuguese (Pedro Ribeiro).  Closes: #562243
    - Russian (Yuri Kozlov).  Closes: #562637
    - Finnish (Esko Arajärvi).  Closes: #564505
    - French (Christian Perrier).  Closes: #564594
    - Vietnamese (Clytie Siddall).  Closes: #576134

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 Apr 2010 19:57:05 +0200

mercurial-server (1.0.1-1) unstable; urgency=medium

  * New upstream version with security fix
  * Add translations for de, ja, cs, sv, it, zh_CN 
    (Closes: #559486 #559541 #559883 #559934)

 -- Paul Crowley <paul@lshift.net>  Sat, 19 Dec 2009 19:22:45 +0000

mercurial-server (1.0-1) unstable; urgency=low

  * Fix "call to /usr/share/mercurial-server/refresh-auth fails without
    -H switch for sudo" (Closes: #558143)
  * Fix "NP problem" with new short description (Closes: #558387)
  * New upstream version

 -- Paul Crowley <paul@lshift.net>  Wed, 02 Dec 2009 18:01:27 +0000

mercurial-server (0.9-1) sid; urgency=low

  * Initial release. (Closes: #555750: ITP: mercurial-server -- provide
    and manage a shared Mercurial repository)

 -- Paul Crowley <paul@lshift.net>  Thu, 12 Nov 2009 11:21:55 +0000
