=== debian/control ===
Source: mercurial-server
Section: devel
Priority: extra
Maintainer: Paul Crowley <paul@lshift.net>
Build-Depends: debhelper (>= 7.0.50~), python-support, xsltproc, docbook-xsl
Standards-Version: 3.9.1
Homepage: http://www.lshift.net/mercurial-server.html
Vcs-Browser: http://hg.opensource.lshift.net/mercurial-server/
Vcs-Hg: http://hg.opensource.lshift.net/mercurial-server/

Package: mercurial-server
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, adduser, python, mercurial, openssh-server | ssh-server
Description: shared Mercurial repository service
 mercurial-server makes a group of repositories available to the developers
 you choose, identified by SSH keys, with easy key and access management
 based on Mercurial.
