=== debian/watch ===
# Nothing in this file.
# I can't find a way to make uscan check for new tags in an
# http-based Mercurial repository.  If there is such a way, please
# let me know.
