## mercurial-server 1.2

=== debian/changelog ===
mercurial-server (1.2-2) unstable; urgency=low

  * Add translations for da, nl, sk, pl
    (Closes: #658943 #675317 #685558 #685700)

 -- Paul Crowley <paul@lshift.net>  Fri, 24 Aug 2012 16:00:08 +0100

mercurial-server (1.2-1) unstable; urgency=high

  * New upstream version with security fixes (Closes: #641262)

 -- Paul Crowley <paul@lshift.net>  Mon, 12 Sep 2011 09:14:16 +0100
