=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Paul Crowley <paul@lshift.net>
 Build-Depends: debhelper (>= 7.0.50~), python-support, xsltproc, docbook-xsl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.lshift.net/mercurial-server.html
 Vcs-Browser: http://hg.opensource.lshift.net/mercurial-server/
 Vcs-Hg: http://hg.opensource.lshift.net/mercurial-server/
@@ -15,4 +15,3 @@
  mercurial-server makes a group of repositories available to the developers
  you choose, identified by SSH keys, with easy key and access management
  based on Mercurial.
-
