=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	$(MAKE) installfiles \
	    DESTDIR=./debian/mercurial-server/ \
	    PREFIX=/usr/share

override_dh_pysupport:
	dh_pysupport /usr/share/mercurial-server/mercurialserver

override_dh_installchangelogs:
	dh_installchangelogs NEWS
