=== debian/watch ===
version=3
# Note that this will rarely be useful since I am both upstream and
# Debian maintainer, but included for completeness.
http://dev.lshift.net/paul/mercurial-server/mercurial-server_(.*).tar.gz
